{"templateId":"markdown","sharedDataIds":{"sidebar":"sidebar-docs/api-reference/sidebars.yaml"},"props":{"metadata":{"markdoc":{"tagList":["api-container","api-content","endpoint","api-examples","tabs","tab","code-group"]},"redocly_category":"API Reference","searchWeight":120,"type":"markdown"},"seo":{"title":"Export a vocabulary list","description":"Complete API reference and documentation for Freddy AI-powered backend system by Aitronos","llmstxt":{"hide":false,"sections":[{"title":"Table of contents","includeFiles":["**/*"],"excludeFiles":[]}],"excludeFiles":[]}},"dynamicMarkdocComponents":[],"compilationErrors":[],"ast":{"$$mdtype":"Tag","name":"article","attributes":{},"children":[{"$$mdtype":"Tag","name":"Heading","attributes":{"level":1,"id":"export-a-vocabulary-list","__idx":0},"children":["Export a vocabulary list"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Download the words of a list the caller can read, with their usage counts, as ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":[".xlsx"]}," or ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":[".csv"]},". The file can be imported again unchanged. Words of the list the caller may not read are left out. At most 50,000 words are exported."]},{"$$mdtype":"Tag","name":"ApiContainer","attributes":{},"children":[{"$$mdtype":"Tag","name":"ApiContent","attributes":{},"children":[{"$$mdtype":"Tag","name":"Endpoint","attributes":{"method":"GET","path":"https://api.aitronos.com/v1/vocabulary/lists/{list_id}/export"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"path-parameters","__idx":1},"children":["Path Parameters"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["list_id"]}]}," string ",{"$$mdtype":"Tag","name":"em","attributes":{"style":{"color":"#ef4444 !important","fontWeight":"600 !important","fontStyle":"normal !important"}},"children":["required"]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["The list to export."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":4,"id":"query-parameters","__idx":2},"children":["Query Parameters"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["format"]}]}," string ",{"$$mdtype":"Tag","name":"em","attributes":{"style":{"color":"#9ca3af !important","fontWeight":"500 !important","fontStyle":"normal !important"}},"children":["optional"]}," · Defaults to ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["xlsx"]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["xlsx"]}," or ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["csv"]},"."]},{"$$mdtype":"Tag","name":"hr","attributes":{},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"returns","__idx":3},"children":["Returns"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["The file, as an attachment named ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["vocabulary-<list name>.<format>"]},". The columns are ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["written"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["sounds_like"]}," (separated by ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":[";"]},"), ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["language"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["kind"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["weight"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["enabled"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["applied_count"]},", ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["heard_count"]}," and ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["corrected_count"]},"."]}]},{"$$mdtype":"Tag","name":"ApiExamples","attributes":{},"children":[{"$$mdtype":"Tag","name":"Tabs","attributes":{"size":"medium"},"children":[{"$$mdtype":"Tag","name":"div","attributes":{"label":"Example","disable":false},"children":[{"$$mdtype":"Tag","name":"CodeGroup","attributes":{"mode":"dropdown"},"children":[{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"bash","data-title":"cURL","header":{"title":"cURL","controls":{"copy":{}}},"source":"curl \"https://api.aitronos.com/v1/vocabulary/lists/voclist_8f2a61c4e0b94d7a/export?format=csv\" \\\n  -H \"X-API-Key: $FREDDY_API_KEY\" \\\n  -o vocabulary.csv\n","lang":"bash"},"children":[]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"python","data-title":"Python","header":{"title":"Python","controls":{"copy":{}}},"source":"import os\nimport requests\n\napi_key = os.environ[\"FREDDY_API_KEY\"]\n\nresponse = requests.get(\n    \"https://api.aitronos.com/v1/vocabulary/lists/voclist_8f2a61c4e0b94d7a/export\",\n    headers={\"X-API-Key\": api_key},\n    params={\"format\": \"csv\"},\n)\n\nwith open(\"vocabulary.csv\", \"wb\") as file:\n    file.write(response.content)\n","lang":"python"},"children":[]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"javascript","data-title":"JavaScript","header":{"title":"JavaScript","controls":{"copy":{}}},"source":"const apiKey = process.env.FREDDY_API_KEY;\n\nconst response = await fetch('https://api.aitronos.com/v1/vocabulary/lists/voclist_8f2a61c4e0b94d7a/export?format=csv', {\n  headers: {\n    'X-API-Key': apiKey\n  }\n});\n\nconst csv = await response.text();\nconsole.log(csv);\n","lang":"javascript"},"children":[]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Response:"]}]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"text","data-title":"200 OK","header":{"title":"200 OK","controls":{"copy":{}}},"source":"written,sounds_like,language,kind,weight,enabled,applied_count,heard_count,corrected_count\nKubernetes,cube ernetes;kuber netties,,bias,1.0,true,14,9,0\n","lang":"text"},"children":[]}]},{"$$mdtype":"Tag","name":"div","attributes":{"label":"Errors","disable":false},"children":[{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"json","data-title":"401 Unauthorized","header":{"title":"401 Unauthorized","controls":{"copy":{}}},"source":"{\n  \"success\": false,\n  \"error\": {\n    \"code\": \"AUTHENTICATION_REQUIRED\",\n    \"message\": \"Authentication required. Please provide a valid API key.\",\n    \"system_message\": \"Missing or invalid authorization header\",\n    \"type\": \"authentication_error\",\n    \"status\": 401,\n    \"details\": {},\n    \"trace_id\": \"req_7d1e4b9a2c\",\n    \"timestamp\": \"2026-10-26T09:30:00Z\"\n  }\n}\n","lang":"json"},"children":[]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"json","data-title":"403 Forbidden","header":{"title":"403 Forbidden","controls":{"copy":{}}},"source":"{\n  \"success\": false,\n  \"error\": {\n    \"code\": \"INSUFFICIENT_PERMISSIONS\",\n    \"message\": \"You do not have permission to perform this action.\",\n    \"system_message\": \"Caller lacks the rights this operation needs.\",\n    \"type\": \"authorization_error\",\n    \"status\": 403,\n    \"details\": {},\n    \"trace_id\": \"req_7d1e4b9a2c\",\n    \"timestamp\": \"2026-10-26T09:30:00Z\"\n  }\n}\n","lang":"json"},"children":[]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"json","data-title":"404 Not Found","header":{"title":"404 Not Found","controls":{"copy":{}}},"source":"{\n  \"success\": false,\n  \"error\": {\n    \"code\": \"VOCABULARY_LIST_NOT_FOUND\",\n    \"message\": \"The vocabulary list was not found.\",\n    \"system_message\": \"Vocabulary list not found.\",\n    \"type\": \"client_error\",\n    \"status\": 404,\n    \"details\": {},\n    \"trace_id\": \"req_7d1e4b9a2c\",\n    \"timestamp\": \"2026-10-26T09:30:00Z\"\n  }\n}\n","lang":"json"},"children":[]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"related-resources","__idx":4},"children":["Related Resources"]},{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/vocabulary/import-words-into-a-vocabulary-list"},"children":["Import words into a vocabulary list"]}," — Add and update words from a file."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":[{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/api-reference/vocabulary/_index"},"children":["Vocabulary API"]}," — Overview of lists, entries and settings."]}]}]},"headings":[{"value":"Export a vocabulary list","id":"export-a-vocabulary-list","depth":1},{"value":"Path Parameters","id":"path-parameters","depth":4},{"value":"Query Parameters","id":"query-parameters","depth":4},{"value":"Returns","id":"returns","depth":2},{"value":"Related Resources","id":"related-resources","depth":2}],"frontmatter":{"title":"Export a vocabulary list","keywords":["export a vocabulary list","get","export","vocabulary","list","xlsx","csv"],"seo":{"title":"Export a vocabulary list"}},"lastModified":"2026-10-26T18:31:40.000Z","pagePropGetterError":{"message":"","name":""}},"slug":"/docs/api-reference/vocabulary/export-a-vocabulary-list","userData":{"isAuthenticated":false,"teams":["anonymous"]},"isPublic":true}